%define upstream_name    Perl-PrereqScanner
%define upstream_version 1.023

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A tool to scan your Perl code for its prerequisites
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Perl/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::Requirements) >= 2.120.630
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Getopt::Long::Descriptive)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Path)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(PPI) >= 1.215.0
BuildRequires: perl(PPI::Document)
BuildRequires: perl(Params::Util)
BuildRequires: perl(String::RewritePrefix) >= 0.5.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
The scanner will extract loosely your distribution prerequisites from your
files.

The extraction may not be perfect but tries to do its best. It will
currently find the following prereqs:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.23.0-3.mga6
+ Revision: 1031998
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.23.0-2.mga6
+ Revision: 967632
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 1.23.0-1.mga6
+ Revision: 849911
- update to 1.023

* Wed Oct 15 2014 umeabot <umeabot> 1.20.0-3.mga5
+ Revision: 750405
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.20.0-2.mga5
+ Revision: 685941
- Mageia 5 Mass Rebuild

* Thu Jul 03 2014 sander85 <sander85> 1.20.0-1.mga5
+ Revision: 642710
- update to 1.020

* Sun Feb 09 2014 sander85 <sander85> 1.19.0-1.mga5
+ Revision: 587693
- update to 1.019

* Mon Oct 21 2013 umeabot <umeabot> 1.17.0-2.mga4
+ Revision: 539934
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 sander85 <sander85> 1.17.0-1.mga4
+ Revision: 493107
- update to 1.017

* Fri Aug 09 2013 sander85 <sander85> 1.16.0-1.mga4
+ Revision: 464913
- update to 1.016

* Sun Jan 13 2013 umeabot <umeabot> 1.15.0-2.mga3
+ Revision: 371705
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.15.0-1.mga3
+ Revision: 342528
- update to 1.015

* Fri Aug 31 2012 kharec <kharec> 1.14.0-1.mga3
+ Revision: 286404
- update to 1.014

* Wed Jul 04 2012 jquelin <jquelin> 1.13.0-1.mga3
+ Revision: 267452
- update to 1.013

* Wed Mar 07 2012 jquelin <jquelin> 1.11.0-1.mga2
+ Revision: 220936
- update to 1.011

* Thu Feb 23 2012 jquelin <jquelin> 1.10.0-1.mga2
+ Revision: 213161
- update to 1.010

* Thu Jan 05 2012 jquelin <jquelin> 1.9.0-1.mga2
+ Revision: 191274
- update to 1.009

* Sat Nov 05 2011 kharec <kharec> 1.8.0-1.mga2
+ Revision: 163808
- update to 1.008

* Thu Sep 01 2011 jquelin <jquelin> 1.7.0-1.mga2
+ Revision: 137564
- update to 1.007
- update to 1.006
- update to 1.005

* Wed Jun 15 2011 jquelin <jquelin> 1.4.0-1.mga2
+ Revision: 107337
- update to 1.004

* Tue Feb 22 2011 jquelin <jquelin> 1.2.0-1.mga1
+ Revision: 56734
- update to 1.002

* Tue Jan 25 2011 jquelin <jquelin> 1.1.0-1.mga1
+ Revision: 38693
- mageia rebuild
- imported package perl-Perl-PrereqScanner

